<?php
/**
 * Coppermine Photo Gallery
 *
 * Copyright (c) 2003-2009 Coppermine Dev Team
 * v1.1 originally written by Gregory DEMAR
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Coppermine version: 1.5.xx
 *
 * iScroll ver 1.1
 *
 * Based on mod. by rphMedia  http://forum.coppermine-gallery.net/index.php?action=profile;u=9702
 * Plugin Written by Joe Carver - http://gallery.josephcarver.com/natural/ - http://i-imagine.net/artists/
 * 04 December 2009
*/

	// Add plugin_install action
	$thisplugin->add_action('plugin_install','iscroller_install');

	// Add plugin_uninstall action
	$thisplugin->add_action('plugin_uninstall','iscroller_uninstall');

	// Add filter for page head
	$thisplugin->add_filter('page_meta','iscroller_head');

	// Add plugin display action
	$thisplugin->add_filter('plugin_block','iscroller_main');

	// include js reference in page header - index pages only
	function iscroller_head($html)
	{	
	global $template_header, $CONFIG, $CPG_PHP_SELF, $LINEBREAK;
	if ($CPG_PHP_SELF == 'index.php') {
		$meta   = <<< EOT
		
<!--iScroll head start-->
<script language="javascript">AC_FL_RunContent = 0;</script><script src="plugins/iscroll/AC_RunActiveContent.js" language="javascript"></script>
EOT;

		$meta   .= <<< EOT

<!--iScroll head end-->

EOT;

	return $html . $meta;
	}	
	}	
	// end head

	
	// Create Display
	function iscroller_main($block_iscr)
	{ 
			global $CONFIG, $matches;
			if($matches[1] != 'iscroll') {
			  return $block_iscr;
			}
			
	$this_address = $CONFIG['site_url'];
			
	$this_plug = <<< EOT
	index.php?file=iscroll/flow_link
EOT;

	$show_swf = ($CONFIG['iscroll_cfg_swf']);

	if ($show_swf == "1")  {
	$this_one = <<< EOT
	plugins/iscroll/800x250_w_desc/flow_link
EOT;
	}
	if ($show_swf == "2")  {
	$this_one = <<< EOT
	plugins/iscroll/5_thumb_low_reflect/flow_link
EOT;
	}
	
	$iscroll_width = $CONFIG['iscroll_cfg_width'];
	$iscroll_height = $CONFIG['iscroll_cfg_height'];

echo <<< EOT
<div id= "eye" align= "center">
<script language="javascript">
	if (AC_FL_RunContent == 0) {
		alert("This page requires AC_RunActiveContent.js.");
	} else {
		AC_FL_RunContent(
			'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0',
			'width', '$iscroll_width',
			'height', '$iscroll_height',
			'src', 'flow_link.swf',
			'FlashVars', 'xmlPath=$this_address$this_plug',
			'quality', 'high',
			'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
			'align', 'middle',
			'play', 'true',
			'loop', 'true',
			'scale', 'showall',
			'wmode', "transparent",
			'devicefont', 'false',
			'id', 'flow_link',
			'bgcolor', '',
			'name', 'flow_link',
			'menu', 'true',
			'allowFullScreen', 'false',
			'allowScriptAccess','sameDomain',
			'movie', '$this_one',
			'salign', ''
			); //end AC code
	}
</script>
</div>
EOT;

	}

	// Install the plugin

	function iscroller_install() {
		global $CONFIG, $thisplugin;
		
		$sql = "INSERT INTO {$CONFIG['TABLE_CONFIG']} VALUES('iscroll_cfg_meta', '1'), ('iscroll_cfg_count', '22'),('iscroll_cfg_width', '800'), ('iscroll_cfg_height', '250'),  ('iscroll_cfg_swf', '1')";
		cpg_db_query($sql);
		
		// Add the string "iscroll" to "the content of the main page" top if it doesn't exist
		if (strpos($CONFIG['main_page_layout'], 'iscroll') === FALSE) {
		$lead_trim = ltrim($CONFIG['main_page_layout'], '/');
		$contentOfTheMainpage = ('iscroll/'.$lead_trim);
		cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value = '$contentOfTheMainpage' WHERE name = 'main_page_layout'"); 
					}		
			return true;
	}


	// Uninstall the plugin

	function iscroller_uninstall() {
		global $CONFIG, $thisplugin;
		//remove the records from config
		$sql = "DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name LIKE '%iscroll_cfg%'";
		cpg_db_query($sql);
		
		// Remove the string "iscroll" from the config option "content of the main page"
		$contentOfTheMainpage = str_replace('/iscroll', '', $CONFIG['main_page_layout']);
		$contentOfTheMainpage = str_replace('iscroll/', '', $contentOfTheMainpage);
		$contentOfTheMainpage = str_replace('iscroll', '', $contentOfTheMainpage);
		cpg_db_query("UPDATE {$CONFIG['TABLE_CONFIG']} SET value = '$contentOfTheMainpage' WHERE name = 'main_page_layout'");

			return true;		
	}

?>